/// <reference types="mocha" />
import * as Mocha from 'mocha';
import RunnerMain from './runner';
export default class MochaWrapper extends Mocha {
    private files;
    private isTypescriptRunMode;
    private maxParallel;
    private requires;
    private compilers;
    setTypescriptRunMode(): void;
    /**
     * All `--require` options should be applied for subprocesses
     */
    addRequiresForSubprocess(requires: string[]): void;
    /**
     * All `--compiler` options should be applied for subprocesses
     */
    addCompilersForSubprocess(compilers: string[]): void;
    setMaxParallel(maxParallel: number): void;
    run(onComplete?: (failures: number) => void): RunnerMain;
    private findRootData(testArtifacts);
    private addSubprocessSuites(testArtifacts);
    private extractSubprocessRetriedTests(testArtifacts);
    private spawnTestProcess(file);
}
