import { IRetriedTest, ISubprocessTestArtifacts, ISuite, Runner } from '../interfaces';
export default class RunnerMain extends Runner {
    private rootSuite;
    private retriedTests;
    private subprocessTestResults;
    private onComplete?;
    constructor(rootSuite: ISuite);
    emitStartEvents(): void;
    emitFinishEvents(): void;
    setTestResults(testResults: ISubprocessTestArtifacts[], retriedTests: IRetriedTest[], onComplete?: (failures: number) => void): void;
    private onFail;
    private onExecutionComplete;
    private setRetriesTests(tests);
    private findSuiteById(id, rootSuite?);
    private findRetriedTestById(id);
    private findTestById(id, rootSuite?);
    private findHookById(id, rootSuite?);
    /**
     * Sometimes mocha "forgets" to replace the test in suite.tests
     * Example of this can be a sync test which fails twice and passes on third run
     * If the test is executed with `--retries 2` we will get this result
     */
    private findForgottenTestById(id, rootSuite?);
    private emitRestEvents();
    private emitSubprocessEvents(testArtifacts);
}
