/// <reference types="node" />
import * as EventEmitter from 'events';
import { Task } from '../interfaces';
export default class TaskManager<TaskResult> extends EventEmitter {
    private maxParallel;
    private tasks;
    private remainingTasks;
    private processingTasks;
    constructor(maxParallel?: number);
    add(task: Task): void;
    run(): Promise<TaskResult[]>;
    private onTaskProcessingFinished;
    private onFinishedProcessing;
    private startTaskProcessing(task);
    private runAvailableTasks();
    private emitEndIfAllFinished();
}
